#include<stdio.h>
#include<string.h>
#include<ctype.h>
int main(){
	char str[100];
	fgets(str,sizeof(str),stdin);
	int p=0;
	int br=4;
	int br2=1;
	for(int i=0;i<100;i++){
		
		if(str[i]=='a'&&str[i+1]=='b'&&str[i+2]=='b'&&str[i+3]=='a'&&str[i+4]=='a'&&str[i+5]=='c')p=0;
		else p=1;
		
		
		 
}
        if(p==0)printf("%d",br);
		else if(p==1)printf("%d",br2);
		return 0;
}